# Visualization
TKV3d
StdSelect

# StdSelect_ShapeTypeFilter Class Reference

A filter framework which allows you to define a filter
for a specific shape type. The types available include:
- compound
- compsolid
- solid
- shell
- face
- wire
- edge
- vertex.
.

`#include <StdSelect_ShapeTypeFilter.hxx>`

Inheritance diagram for StdSelect_ShapeTypeFilter:

[legend]

## Public Member Functions

Standard_EXPORT | StdSelect_ShapeTypeFilter (const TopAbs_ShapeEnum aType)
| Constructs a filter object defined by the shape type aType. .
virtual Standard_EXPORT Standard_Boolean | IsOk (const Handle(SelectMgr_EntityOwner)&anobj) const

Indicates that the selected Interactive Object
passes the filter. The owner, anObj, can be either
direct or user. A direct owner is the corresponding
construction element, whereas a user is the
compound shape of which the entity forms a part.
When an object is detected by the mouse - in AIS,
this is done through a context selector - its owner
is passed to the filter as an argument.
If the object returns Standard_True, it is kept; if
not, it is rejected.
If you are creating a filter class inheriting this
framework, and the daughter class is to be used in
an AIS local context, you will need to implement the
virtual function ActsOn.
.

TopAbs_ShapeEnum | Type () const
| Returns the type of shape selected by the filter. .
virtual Standard_EXPORT Standard_Boolean | ActsOn (const TopAbs_ShapeEnum aStandardMode) const
| Returns true in an AIS local context, if this filter operates on a type of subshape defined in a filter class inheriting this framework. This function completes IsOk in an AIS local context. .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

TopAbs_ShapeEnum | myType

## Constructor & Destructor Documentation

Standard_EXPORT StdSelect_ShapeTypeFilter::StdSelect_ShapeTypeFilter | ( | const TopAbs_ShapeEnum | aType | ) |

## Member Function Documentation

virtual Standard_EXPORT Standard_Boolean StdSelect_ShapeTypeFilter::ActsOn | ( | const TopAbs_ShapeEnum | aStandardMode | ) | const`[virtual]`

| Reimplemented from SelectMgr_Filter.

Standard_EXPORT const StdSelect_ShapeTypeFilter::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from SelectMgr_Filter.

virtual Standard_EXPORT Standard_Boolean StdSelect_ShapeTypeFilter::IsOk | ( | const Handle(SelectMgr_EntityOwner)& | anobj | ) | const`[virtual]`

| Implements SelectMgr_Filter.

TopAbs_ShapeEnum StdSelect_ShapeTypeFilter::Type | ( |  | ) | const`[inline]`

## Field Documentation

TopAbs_ShapeEnum StdSelect_ShapeTypeFilter::myType `[private]`

The documentation for this class was generated from the following files:

- StdSelect_ShapeTypeFilter.hxx
- StdSelect_ShapeTypeFilter.lxx